gnutls_x509_crl_get_crt_serial(3)

NAME
gnutls_x509_crl_get_crt_serial - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_get_crt_serial(gnutls_x509_crl_t crl, int indx, unsigned char * serial, size_t * serial_size, time_t * t);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

int indx
    the index of the certificate to extract (starting from 0)

unsigned char * serial
    where the serial number will be copied

size_t * serial_size
    initially holds the size of serial

time_t * t
    if non null, will hold the time this certificate was revoked

DESCRIPTION
This function will retrieve the serial number of the specified, by the index, revoked certificate.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value. and a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.